Skip to main content
GET
/
v2
/
free-float
Free Float Market Analysis
curl --request GET \
  --url https://api.sectors.app/v2/free-float/
[
  {
    "symbol": "BBCA.JK",
    "company_name": "Bank Central Asia Tbk",
    "free_float": 0.4512
  },
  {
    "symbol": "BBRI.JK",
    "company_name": "Bank Rakyat Indonesia (Persero) Tbk",
    "free_float": 0.4321
  }
]
The Free Float API provides the percentage of a company’s shares that are held by the public and available for trading on the secondary market.
Free float is calculated as the share_percentage of the ‘Public’ entry in a company’s major shareholders list.

Query Parameters

sector
string
The slug of the sector for which the report is to be retrieved.
Get the available sector from the Subsectors endpoint.
infrastructures, transportation-logistic, healthcare
The API endpoint only accepts sector in the kebab case format (lowercase and separated by ”-”).
sub_sector
string
The slug of the subsector for which the report is to be retrieved.
Get the available sub_sector from the Subsectors endpoint.
banks, basic-materials, food-beverage
The API endpoint only accepts sub_sector in the kebab case format (lowercase and separated by ”-”).
industry
string
The slug of the industry for which the report is to be retrieved.
Get the available industry from the Industries endpoint.
oil-gas, electrical, chemicals
The API endpoint only accepts industry in the kebab case format (lowercase and separated by ”-”).
sub_industry
string
The slug of the subindustry for which the report is to be retrieved.
Get the available sub_industry from the Subindustries endpoint.
paper, life-insurance, personal-care-products, software, gold
The API endpoint only accepts sub_industry in the kebab case format (lowercase and separated by ”-”).
Query parameters are mutually exclusive. You should provide at most one filter parameter in your request.

Response

The response is a flat list of companies, ordered by free_float in descending order.
symbol
string
The unique stock ticker symbol (e.g., BBCA.JK).
company_name
string
The full legal name of the company.
free_float
number
The free float percentage expressed as a decimal (e.g., 0.4512 represents 45.12%).
[
  {
    "symbol": "BBCA.JK",
    "company_name": "Bank Central Asia Tbk",
    "free_float": 0.4512
  },
  {
    "symbol": "BBRI.JK",
    "company_name": "Bank Rakyat Indonesia (Persero) Tbk",
    "free_float": 0.4321
  }
]